Enhavo

# RSet Statement

Ĝisrandigas dekstren ĉenon en ĉena variablo, aŭ kopias propre difinitan variablan tipon al alia.

### Syntax:

    RSet Text As String = Text or RSet Variable1 = Variable2

### Parameters:

Text: Ĉena variablo.

Text: Ĉeno dekstren ĝisrandigota en la ĉena variablo.

Variable1: Propre difinita variablo kiu estas la celo por la kopiota variablo.

Variable2: Propre difinita variablo kiu estas la celo por la kopiota variablo.

Se la ĉeno estas malpli longa ol la ĉena variablo, RSet ĝisrandigas la ĉenon dekstren en la ĉena variablo. Eventuale restantaj signoj en la ĉena variablo anstataŭiĝas per spacetoj. Se la ĉeno estas pli longa ol la ĉena variablo, la ekstraj signoj foriĝas, kaj nur la restantaj signoj ĝisrandiĝas dekstren en la ĉena variablo.

Oni povas ankaŭ uzi la ordonon RSet por atribui variablojn de unu propre difinita tipo al alia.

La jena ekzemplo uzas la ordonojn RSet kaj LSet por modifi la maldekstren kaj dekstren ĝisrandigon de ĉeno.

### Example:

    Sub ExampleRLSet
    Dim sVar As String
    Dim sExpr As String
        sVar = String(40,"*")
        sExpr = "SBX"
        REM Ĝisrandigi dekstren je "SBX" en 40-signa ĉeno
        REM Anstataŭigu steletojn per spacetoj
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123457896"
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(40,"*")
        sExpr = "SBX"
        REM Ĝisrandigi maldekstren je "SBX" en 40-signa ĉeno
        LSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123456789"
        LSet sVar = sExpr
        Print ">"; sVar; "<"
    End Sub

Rilataj temoj

String functions